<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('profile', function (Blueprint $table) {
            $table->id('ProfileId');
            $table->string('npsn')->nullable();
            $table->integer('ms_tingkat_sekolah_id')->default(0);
            $table->string('status_sekolah')->nullable();
            $table->text('alamat_sekolah')->nullable();
            $table->string('kontak_person')->nullable();
            $table->string('telp')->nullable();
            $table->timestampsTz();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('profile_sekolahs');
    }
};
